summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2016-01-26 09:00:48 +0100
committerAlexis Ballier <aballier@gentoo.org>2016-01-26 09:00:56 +0100
commitd2785fdf4511179cc3ccbd28f6e33b0d22a77b6d (patch)
tree852fddbd2e3d34a297385f45654328dd180f467e /sys-devel
parentapp-shells/bash: enable USE=static support in SLOT-ed ebuilds (diff)
downloadgentoo-d2785fdf4511179cc3ccbd28f6e33b0d22a77b6d.tar.gz
gentoo-d2785fdf4511179cc3ccbd28f6e33b0d22a77b6d.tar.bz2
gentoo-d2785fdf4511179cc3ccbd28f6e33b0d22a77b6d.zip
sys-devel/bmake: bump to 20151220
Package-Manager: portage-2.2.27 Signed-off-by: Alexis Ballier <aballier@gentoo.org>
Diffstat (limited to 'sys-devel')
-rw-r--r--sys-devel/bmake/Manifest2
-rw-r--r--sys-devel/bmake/bmake-20151220.ebuild55
2 files changed, 57 insertions, 0 deletions
diff --git a/sys-devel/bmake/Manifest b/sys-devel/bmake/Manifest
index 62bb8398979..bffd14f379a 100644
--- a/sys-devel/bmake/Manifest
+++ b/sys-devel/bmake/Manifest
@@ -1,4 +1,6 @@
DIST bmake-20140214.tar.gz 508662 SHA256 2ec1771a800431c26361659ab0f96ec5c2536e85b46564eb69fa75a4b12886de SHA512 760d90652bdab5ac595a96974fd99147e5edb4cf0ab7bad477d77ad63184a3b487f253648b53767cf1d3eccfa5c57dd3dfc2b3256578231b646c4f409cc5d758 WHIRLPOOL c29f40f44f9447a2ce274d24ef9403bb42b616424c72194af96cba360eae73fa5ad89ff045f425e063419c8fd517c2dd463ca70fc8e2b0bb5864c4307a255db2
DIST bmake-20151010.tar.gz 533044 SHA256 36025f0534a65986a76714b9860f466ea75a4daf56aff6a28ddb7b944c257336 SHA512 7e6f4db681bd49b7e7a9a05edd55b56361c33495b322db724f742182222cb8b03be4fd96562f2021ad52035b153f336da427a153762a9142c2fb74d1429859cd WHIRLPOOL cf6fc5ad0bf263da66d744b755c791ff330b9e31cbb236598124f67614eaceb8ef3beedf94a1e6679a325cf671e601221c3b232341880309b453edaab82a62d9
+DIST bmake-20151220.tar.gz 535021 SHA256 c83bf8ed49c4fdcf58c50ef9341dcdf7827c67cb8a35aacd1848e82c91d1bc38 SHA512 0f813b2466a83ae0bbcf834939b15a4409d9bd6151987144ecdaefb810e94b86a126098dc8436731407dd8b1e28973020853ff387fbc2f5aabdda0d1fc66511e WHIRLPOOL 38cee1e80e4a7c2ec77f9d3f04d1b0b95fe7cea6dd40d42831815393b23e9ed8c0ed9dfeeb29c557c5f3cff84e2a3c00075946f37c34d3366a01ead3e757ee0e
DIST mk-20121010.tar.gz 71484 SHA256 7bf6cb980d077f725893b7b526f27b325f202fde04b8b4152e125e29f819d655 SHA512 57dab8846261b6ae84bc2f7ced2c05cb60b82b59d7983c7a318c2b5c173f0a0b2bf6289eefd0f5697a0d0a7095e3ae5ff3f07af32bce21be6d7068e7938f02f8 WHIRLPOOL 830158af62fd96ee02a3fba4f2402fb4e9f6cefa6f3bc2df624781fc7e3545b049780d1176280c073531f9e1e5c32db5ac6c6db9105f33b26d254dbb062c041e
DIST mk-20151010.tar.gz 87519 SHA256 e36632651cdc08376d77897dc53790f2650c40e5653f56add25da05b22d89baa SHA512 12cc6e7756ae53737d5ee2d9ecd7874430cb9f937f915978bfa2e13eb3497e4a667ac733c0e0cd41223b904208dca6e480f29a7b26d5b18f4c64121e2b225943 WHIRLPOOL 75af589c0d4f82e943cba234bc7d372e6c7be6a9cfccda4173c43f7dd951a4fd983591bc4677539b7fbbfa999e1e0da04a6fb3dcd13db714e8098a9824f2b499
+DIST mk-20151111.tar.gz 88106 SHA256 beebba89da0ba068c904599d3358e6f08c35418b13300fac787c11774a525bc1 SHA512 48fc6c845f2aef3b9be6fdb1db8a62448857ba7cbffc5417f45a7a2d5e59940356a245b9f484aa05e4c585e0a4c2e2eb7577c7d9e942cc673eb561f6c6e257d4 WHIRLPOOL 68838257558b43bc503841cf23f09cfc926e1152f847fcecc803574070eb9c0ceb5fc75c0f78f52559d1dfd7283a4b001c76b62e44158850c0c019a67d69b3aa
diff --git a/sys-devel/bmake/bmake-20151220.ebuild b/sys-devel/bmake/bmake-20151220.ebuild
new file mode 100644
index 00000000000..69d93cf2096
--- /dev/null
+++ b/sys-devel/bmake/bmake-20151220.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils
+
+MK_VER=20151111
+DESCRIPTION="NetBSD's portable make"
+HOMEPAGE="http://www.crufty.net/help/sjg/bmake.html"
+SRC_URI="http://void.crufty.net/ftp/pub/sjg/${P}.tar.gz
+ http://void.crufty.net/ftp/pub/sjg/mk-${MK_VER}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~x64-freebsd"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+
+S="${WORKDIR}/${PN}"
+
+src_configure() {
+ econf \
+ --with-mksrc=../mk \
+ --with-default-sys-path="${EPREFIX}"/usr/share/mk/${PN} \
+ --with-machine_arch=${ARCH}
+}
+
+src_compile() {
+ sh make-bootstrap.sh || die "bootstrap failed"
+}
+
+src_test() {
+ cd unit-tests
+ LC_ALL=C env -u A ${S}/bmake -r -m . > test.out 2>&1 \
+ || die "tests compilation failed"
+ sed -i \
+ -e "s:${S}/::g" \
+ -e "s:bmake\\[.\\]:make:g" \
+ -e "s:unit-tests/::g" \
+ test.out || die "Fixing values failed"
+ diff -u test.exp test.out
+ [[ $(diff -u test.exp test.out |wc -l) -gt 0 ]] && die "tests differ"
+}
+
+src_install() {
+ dobin ${PN}
+ newman ${PN}.cat1 ${PN}.1
+ FORCE_BSD_MK=1 SYS_MK_DIR=. \
+ sh ../mk/install-mk -v -m 644 "${ED}"/usr/share/mk/${PN} \
+ || die "failed to install mk files"
+}